﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.51
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
End Sub

Public Sub CreateBody(world As jbWorld,x As Float, y As Float, width As Float, height As Float, bodyType As Int, friction As Float, restitution As Float, bodydensity As Float, isSensor As Boolean, id As String, filter As Boolean, jbfilter As jbFilter) As jbBody
	Dim fd As jbFixtureDef
	Dim sd As jbPolygonShape
	sd.setAsBox(width/2,height/2)
	fd.shape = sd
	fd.Density = bodydensity
	Dim bd As jbBodyDef
	
	Select bodyType
		Case 0
			bd.Type = bd.BODYTYPE_STATIC
		Case 1
			bd.Type = bd.BODYTYPE_KINEMATIC
		Case 2
			bd.Type = bd.BODYTYPE_DYNAMIC
	End Select

	Dim bodyinfo As bodyinf
	bodyinfo.Initialize
	bodyinfo.width = width
	bodyinfo.height = height
	bodyinfo.id = id
	bodyinfo.hit = False
	fd.friction = friction
	fd.restitution = restitution
	fd.isSensor = isSensor
	If filter Then
		fd.filter = jbfilter
	End If
	Dim vec2 As jbVec2
	vec2.Initialize(x, y)
	bd.position = vec2
	bodyinfo.position = vec2
	bd.angle = 0
	Dim myBody As jbBody = world.createBody(bd)
	myBody.createFixture(fd)
	myBody.UserData = bodyinfo
	Return myBody
End Sub
